<?php
/**
 * Theme functions related to structure.
 *
 * This file contains structural hook functions.
 *
 * @package yoga_kriya
 */

if ( ! function_exists( 'yoga_kriya_doctype' ) ) :
	/**
	 * Doctype Declaration.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_doctype() {
	?><!DOCTYPE html> <html <?php language_attributes(); ?>><?php
	}
endif;

add_action( 'yoga_kriya_action_doctype', 'yoga_kriya_doctype', 10 );


if ( ! function_exists( 'yoga_kriya_head' ) ) :
	/**
	 * Header Codes.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_head() {
	?>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php
	}
endif;
add_action( 'yoga_kriya_action_head', 'yoga_kriya_head', 10 );

if ( ! function_exists( 'yoga_kriya_page_start' ) ) :
	/**
	 * Page Start.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_page_start() {
	?>
    <div id="page" class="hfeed site">
    <?php
	}
endif;
add_action( 'yoga_kriya_action_before', 'yoga_kriya_page_start' );

if ( ! function_exists( 'yoga_kriya_page_end' ) ) :
	/**
	 * Page End.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_page_end() {
	?></div><!-- #page --><?php
	}
endif;

add_action( 'yoga_kriya_action_after', 'yoga_kriya_page_end' );

if ( ! function_exists( 'yoga_kriya_content_start' ) ) :
	/**
	 * Content Start.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_content_start() {
	?><div id="content" class="site-content"><?php if(!is_page_template( 'home-page-template.php' )) { echo '<div class="container">'; } ?><div class="inner-wrapper"><?php
	}
endif;
add_action( 'yoga_kriya_action_before_content', 'yoga_kriya_content_start' );


if ( ! function_exists( 'yoga_kriya_content_end' ) ) :
	/**
	 * Content End.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_content_end() {
	?></div><!-- .inner-wrapper --></div><!-- .container --><?php if(!is_page_template( 'home-page-template.php' )) { echo '</div>'; } ?><!-- #content --><?php
	}
endif;
add_action( 'yoga_kriya_action_after_content', 'yoga_kriya_content_end' );


if ( ! function_exists( 'yoga_kriya_header_start' ) ) :
	/**
	 * Header Start.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_header_start() {
		?><header id="masthead" class="site-header" role="banner"><?php
	}
endif;
add_action( 'yoga_kriya_action_before_header', 'yoga_kriya_header_start' );

if ( ! function_exists( 'yoga_kriya_header_end' ) ) :
	/**
	 * Header End.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_header_end() {
	?></div><!-- .container --></header><!-- #masthead --><?php
	}
endif;
add_action( 'yoga_kriya_action_after_header', 'yoga_kriya_header_end' );



if ( ! function_exists( 'yoga_kriya_footer_start' ) ) :
	/**
	 * Footer Start.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_footer_start() {
		$footer_status = apply_filters( 'yoga_kriya_filter_footer_status', true );
		if ( true !== $footer_status ) {
			return;
		}
	?><footer id="colophon" class="site-footer" role="contentinfo"><div class="container"><?php
	}
endif;
add_action( 'yoga_kriya_action_before_footer', 'yoga_kriya_footer_start' );


if ( ! function_exists( 'yoga_kriya_footer_end' ) ) :
	/**
	 * Footer End.
	 *
	 * @since 1.0.0
	 */
	function yoga_kriya_footer_end() {
		$footer_status = apply_filters( 'yoga_kriya_filter_footer_status', true );
		if ( true !== $footer_status ) {
			return;
		}
		$yoga_kriya_enable_cursor_dot_outline = yoga_kriya_get_option('yoga_kriya_enable_cursor_dot_outline');
		if ($yoga_kriya_enable_cursor_dot_outline) { ?>
			<!-- Custom cursor -->
			<div class="cursor-point-outline"></div>
			<div class="cursor-point"></div>
			<!-- .Custom cursor -->
		<?php } ?>
		</div><!-- .container --></footer><!-- #colophon --><?php
	}
endif;
add_action( 'yoga_kriya_action_after_footer', 'yoga_kriya_footer_end' );
